2018-12-12 06:25 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006090Spring engineGeneralpublic2018-11-28 01:56
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006090: units fail to auto-target (after/having a set-target)
Descriptionsee: https://www.youtube.com/watch?v=TeFbYndswVs

engine -905
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0019582

Floris (reporter)

replay: https://replays.springrts.com/replay/4532fc5b79cd103d8d059d50d5b53299/

~0019583

Floris (reporter)

also maybe related:

look at this beamer not targetting cloaked enemy com, even when directly manually targetted
https://www.youtube.com/watch?v=zCzue5fcrrM

~0019584

Floris (reporter)

...also note that 8|||||D's llt does not even fire (but he must have energy cause he dguns right afterwards)

~0019585

Kloot (developer)

I am not looking into targeting issues unless you replicate them in short standalone demos.

fwiw the stumpies in your first video all turned their turrets so it wasn't targeting that failed but some other constraint, not unlikely for cannons trying to fire uphill.

~0019586

Floris (reporter)

when they when downhill and faced the leveler on equal ground height, no targetting happened either

~0019587

Floris (reporter)

for the beamer failing here is a replication (ba 10.17)

~0019588

Floris (reporter)

and another on tabula...

doo:
with globallos
manual command can force fire
but on fire at will they don't get the target
haven't been able to clearly reproduce the stumpy issue
i think this one is dude to the constant moving of the stumpies
so they had to reacquire a new target each time
and never really shoot
but not sure

~0019589

Google_Frog (reporter)

I sometimes saw a similar targeting issue with the Knights in the tutorial mission of the ZK campaign. They don't like to fire while moving and when the bug occurs they fail to aim. It can be reproduced by moving them into the enemy defenses.

~0019590

Kloot (developer)

Fix 0ef398aa1b4c7152723a1024c0c617369b2f101d committed to develop branch: qfix 0006090, repo: spring changeset id: 11172

~0019591

Kloot (developer)

Fix b2ff4c30b8309dd7d18f1ae314f4b3083dcce6bd committed to maintenance branch: qfix 0006090, repo: spring changeset id: 11173
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-11-27 19:59 Floris New Issue
2018-11-27 20:03 Floris Note Added: 0019582
2018-11-27 20:05 Floris Note Added: 0019583
2018-11-27 20:07 Floris Note Added: 0019584
2018-11-27 21:14 Kloot Note Added: 0019585
2018-11-27 22:28 Floris Note Added: 0019586
2018-11-27 22:36 Floris File Added: 20181127_222820_MoonQ10x_104.0.1-905-gfeb5d02_maintenance.sdfz
2018-11-27 22:36 Floris Note Added: 0019587
2018-11-27 22:44 Floris File Added: 20181127_223516_Tabula-v4_104.0.1-905-gfeb5d02_maintenance.sdfz
2018-11-27 22:44 Floris Note Added: 0019588
2018-11-27 23:27 Google_Frog File Added: 20181128_092259_FolsomDamDeluxeV4_104.0.1-907-g7f56688 maintenance.sdfz
2018-11-27 23:27 Google_Frog Note Added: 0019589
2018-11-27 23:27 Google_Frog File Added: quicktutorial.sdz
2018-11-28 01:55 Kloot Changeset attached => spring develop 0ef398aa
2018-11-28 01:55 Kloot Note Added: 0019590
2018-11-28 01:55 Kloot Assigned To => Kloot
2018-11-28 01:55 Kloot Status new => resolved
2018-11-28 01:55 Kloot Resolution open => fixed
2018-11-28 01:56 Kloot Changeset attached => spring maintenance b2ff4c30
2018-11-28 01:56 Kloot Note Added: 0019591
+Issue History